package com.unis.base.server.service;

import java.util.List;

import com.unis.base.common.vo.GranaryVO;
import com.unis.base.server.entity.DAjxxsjyDO;
import com.unis.common.utils.ResponseWrapper;

/**
 * @author huangxing
 * @version 1.0
 * @Title: DAjxxsjyService
 * @ProjectName DAjxxsjyService
 * @Description:
 * @date 2019/7/22 17:47
 */

public interface GranaryService {

    /**
     * 根据参数查询廒间列表
     *
     * @param dAjxxsjyVO
     * @return
     * @author huangxing
     */
    List<GranaryVO> getGranaryList(GranaryVO dAjxxsjyVO);

    /**
     * 根据参数分页查询廒间列表
     *
     * @param dAjxxsjyVO
     * @return
     * @author huangxing
     */
    List<GranaryVO> getGranaryPage(GranaryVO dAjxxsjyVO, Integer pageNum, Integer pageSize);

    /**
     * 新增廒间信息
     *
     * @param dAjxxsjyVO
     * @return
     */
    int insert(GranaryVO dAjxxsjyVO);

    /**
     * 更新廒间信息
     *
     * @param dAjxxsjyVO
     * @return
     */
    int update(GranaryVO dAjxxsjyVO);

    /**
     * 删除廒间信息
     *
     * @param dAjxxsjyVO
     * @return
     * @author huangxing
     */
    int delete(String ajbh);

    /**
     * 根据廒间编号获取廒间信息
     *
     * @param ajbh
     * @return 廒间信息
     */
    GranaryVO getGranaryByajbh(String ajbh);

    /**
     * 推送敖间信息
     *
     * @param granaryVO
     * @return
     */
    ResponseWrapper depotPush(GranaryVO granaryVO);

}
